@import '../mixins/';

$teal-border: rgb(102, 217, 237, 0.5);

.section-expertise {
  margin: auto;
  max-width: 1280px;

  &::before {
    content: ' ';
    display: inline-block;
    width: 100%;
    height: 1px;
    border: 1px solid color('secondary', 'default');
    opacity: .5;
  }

  color: color('grays', 'default');
  text-align: center;
}

.expertise-container {
  &.row {
    display: grid;
    grid-auto-rows: minmax(100px, auto);
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;


    .card {
      width: 100%;
      height: 30rem;
      padding: 0rem 1rem;
      background-color: color('grays', 'dark');
      box-shadow: 2px 2px 5px black;

      hr {
        border: 1px solid color('grays', 'default');
      }

      .card-header {
        color: color('secondary', 'default');
        display: flex;
        align-items: center;

        img {
          height: 2.5rem;
        }

        span {
          text-align: center;
          margin-left: 0.5rem;
          width: calc(100% - 80px);
          text-shadow: 1px 1px 3px color('blacks', 'default');
        }
      }

      .card-body {
        position: relative;

        &::before, &::after {
          position: absolute;
          left: 0;
          color: color('teals', 'default');
          opacity: 0.7;
        }

        &::before {
          content: "<p>";
        }

        &::after {
          content: "</p>";
          bottom: 0;
        }

        overflow-y: hidden;
        max-height: calc(100% - 7rem);

        p {
          white-space: pre-line;
          border-left: 2px solid $teal-border;
          padding-left: 1.5rem;
          margin: 1.5rem 0 1.5rem 0.7rem;

          text-align: left;
          height: calc(100% - 0.5rem);
          // text-overflow: ellipsis;

          display: -webkit-box;
          -webkit-line-clamp: 18;
          -webkit-box-orient: vertical;
          overflow: hidden;
        }
      }
    }

    @media only screen and (max-width: 889px) {
      grid-template-columns: repeat(2, 1fr);
    }

    @media only screen and (max-width: 768px) {
      grid-template-columns: repeat(1, 1fr);
      .card {
        max-width: 25rem;
        margin: auto;
      }
    }
  }
}